Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSObject

All Known Subinterfaces:
  XSAnnotation, XSAttributeDeclaration, XSAttributeGroupDefinition, XSAttributeUse, XSComplexTypeDefinition, XSElementDeclaration, XSIDCDefinition, XSModelGroup, XSModelGroupDefinition, XSNotationDeclaration, XSParticle, XSSimpleType, XSSimpleTypeDefinition, XSTerm, XSTypeDefinition, XSWildcard

Deprecated. The interface may be updated or replaced.

public interface XSObject

The `XSObject` is a base object for the XML Schema component model.

Method Summary
`java.lang.String` | `getName()` Deprecated. The name of type `NCName` of this declaration as defined in XML Namespaces.
`java.lang.String` | `getNamespace()` Deprecated. The [target namespace] of this object, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` Deprecated. A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`short` | `getType()` Deprecated. The `type` of this object, i.e.

Method Detail

### getType

    public short getType()

  Deprecated.
  The `type` of this object, i.e. `ELEMENT_DECLARATION`.

### getName

    public java.lang.String getName()

  Deprecated.
  The name of type `NCName` of this declaration as defined in XML Namespaces.

### getNamespace

    public java.lang.String getNamespace()

  Deprecated.
  The [target namespace] of this object, or `null` if it is unspecified.

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Deprecated.
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.